--- cvs/wine/loader/module.c	Tue Mar 20 23:11:05 2001
+++ wine/loader/module.c	Tue Mar 20 23:47:15 2001
@@ -1258,8 +1258,12 @@
             HANDLE hFile;
             HMODULE hmod = 0;
 
+	    /* This method allows search for the 'native' libraries only */
             if (!SearchPathA( NULL, libname, ".dll", sizeof(filename), filename, NULL ))
-                return 0;
+	    {
+		flags |= DONT_RESOLVE_DLL_REFERENCES; /* Just in case */
+		goto try_builtin; /* Fallback to normal behaviour */
+	    }
             /* FIXME: maybe we should use the hfile parameter instead */
             hFile = CreateFileA( filename, GENERIC_READ, FILE_SHARE_READ,
                                  NULL, OPEN_EXISTING, 0, 0 );
@@ -1270,7 +1274,7 @@
             }
             return hmod;
         }
-
+try_builtin:
         RtlAcquirePebLock();
 
 	wm = MODULE_LoadLibraryExA( libname, hfile, flags );
